Summary:	SIP Express Media Server, an extensible SIP media server
Name:		sems
Version:	1.1.1
Release:	1%{?dist}.1
URL:		http://www.iptel.org/sems
# wget http://ftp.iptel.org/pub/sems/sems-1.1.1.tar.gz
# tar zx --exclude iLBC_rfc3951 -f sems-1.1.1.tar.gz
# tar czf sems-1.1.1.w_o_ilbc_sources.tar.gz sems-1.1.1
Source0:	sems-1.1.1.w_o_ilbc_sources.tar.gz
License:	GPLv2+
Group:		Applications/Communications
# Use external gsm instead of shipped one
Patch2:		sems--external_gsm_lib.diff
# Remove hardcoded path to search for flite includes
Patch3:		sems--flite-hardcoded-path-removal.diff
# install also *.py (not only *.pyc) files
Patch4:		sems--py_sources_install.diff
# module apps/xmlrpc2di uses custoimized version of xmlrpc++ library
Patch5:		sems--xmlrpc++-use_fedora_cxxflags.diff
# Get rid of stupid makefile_defs condition in Makefile.defs
# which prevents uf from successful building on some Fedora releases
Patch6:		sems--makefile_defs_removal.diff
# GCC 4.4 fixes
Patch7:		sems--gcc44.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# temporary fix for https://fedorahosted.org/fedora-infrastructure/ticket/1202
#BuildRequires:	python >= 2.3
BuildRequires:	python
BuildRequires:	sip-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	gsm-devel
BuildRequires:	spandsp-devel
# TODO consider enabling flite support in apps/conference
BuildRequires:	flite-devel
BuildRequires:	speex-devel
BuildRequires:	mISDN-devel
BuildRequires:	openssl-devel
Requires(post):	/sbin/chkconfig
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service

%description
SEMS (SIP Express Media Server) is very extensible and programmable
SIP media server for SER or OpenSER. The plug-in based SDK enables
you to extend SEMS and write your own applications and integrate new
codec. Voicemail, announcement and echo plug-ins are already included.
SEMS supports g711u, g711a, GSM06.10 and wav file.

%package	conf_auth
Summary:	Conference with authorization
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-ivr = %{version}-%{release}

%description	conf_auth
Conference with authorization by PIN-numbers.

%package	diameter_client
Summary:	A simple DIAMETER client implementation
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description	diameter_client
This is a very simple DIAMETER client implementation. it does
implement only parts of the base protocol, and is not a complete
DIAMETER implementation.

It is used from other modules with the DI API - i.e. other modules
can execute DI functions to add a server connection, or send a
DIAMETER request.

%package	g722
Summary:	G.722 support for SEMS
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description	g722
This is a wrapper around the g722 codec from the spandsp library.

%package	gateway
Summary:	ISDN gateway for SEMS
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description	gateway
ISDN gateway for SEMS.

%package	gsm
Summary:	GSM support for SEMS
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description	gsm
GSM support for SEMS.

%package	ivr
Summary:	IVR functionality for SEMS
Group:		Applications/Communications
Requires:	python >= 2.3
Requires:	%{name} = %{version}-%{release}

%description	ivr
IVR functionality for SEMS.

%package	mailbox
Summary:	Mailbox application
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-ivr = %{version}-%{release}

%description	mailbox
The mailbox application is a mailbox where callers can leave messages
for offline or unavailable users and the users can dial in to check their
messages. It uses an IMAP server as backend to store the voice messages.

%package	pin_collect
Summary:	Collects a PIN
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-ivr = %{version}-%{release}

%description	pin_collect
This application collects a PIN and then transfers using a
(proprietary) REFER the call.

%package	python
Summary:	Python bindings for SEMS
Group:		Applications/Communications
Requires:	python >= 2.3
Requires:	%{name} = %{version}-%{release}

%description	python
Python bindings for SEMS.

%package	speex
Summary:	Speex support for SEMS
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description	speex
Speex support for SEMS.

%package	xmlrpc2di
Summary:	XMLRPC interface for SEMS
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description	xmlrpc2di
This module makes the Dynamic Invocation (DI) Interfaces exported
by component modules accessible from XMLRPC. Additionally the builtin
methods calls, get_loglevel and set_loglevel are implemented (like in the
stats UDP server). Additionally, it can be used as client to access
XMLRPC servers.

%prep
%setup -q
rm -rf core/plug-in/gsm/gsm-1.0-pl10/
%patch2 -p0 -b .gsm_ext
%patch3 -p0 -b .flite_hardcoded
%patch4 -p0 -b .py_install_also
%patch5 -p0 -b .cxxflags
%patch6 -p0 -b .makefile_defs_removal
%patch7 -p0 -b .gcc44

iconv -f iso8859-1 -t UTF-8 doc/Readme.diameter_client > doc/Readme.diameter_client.utf8 && mv doc/Readme.diameter_client{.utf8,}
iconv -f iso8859-1 -t UTF-8 doc/Readme.voicebox > doc/Readme.voicebox.utf8 && mv doc/Readme.voicebox{.utf8,}
mv ./apps/dsm/fsmc/readme.txt  ./apps/dsm/fsmc/Readme.fsmc.txt

%build
export CPPFLAGS="-D_REENTRANT -DSEMS_VERSION='\"%{version}\"' -DARCH='\"%{_arch}\"' -DOS='\"linux\"'  -DUSE_SPANDSP -D__STDC_LIMIT_MACROS -DUSE_LIBSAMPLERATE -Wall -Wno-reorder -fPIC -g"
export CXXFLAGS="-Wno-reorder -fPIC $RPM_OPT_FLAGS"
export CFLAGS="-Wno-reorder -fPIC $RPM_OPT_FLAGS"
make %{?_smp_mflags} EXTRA_CXXFLAGS="$RPM_OPT_FLAGS" USE_SPANDSP="yes" USE_LIBSAMPLERATE="yes" TTS="y" exclude_modules="examples %{!?with_ilbc:ilbc} %{!?with_mp3:mp3}" all \

%install
rm -rf $RPM_BUILD_ROOT
make install USE_SPANDSP="yes" USE_LIBSAMPLERATE="yes" TTS="y" exclude_modules="examples %{!?with_ilbc:ilbc} %{!?with_mp3:mp3}" \
	DESTDIR=$RPM_BUILD_ROOT \
	basedir= \
	prefix=%{_prefix} \
	modules-prefix= \
	modules-dir=%{_libdir}/%{name}/plug-in \
	modules-target=%{_libdir}/%{name}/plug-in \
	lib-prefix= \
	lib-dir=%{_libdir}/%{name}/ \
	lib-target=%{_libdir}/%{name}/ \
	ivr-modules-dir=%{_libdir}/%{name}/ivr \
	cfg-prefix= \
	cfg-target=%{_sysconfdir}/%{name}/ \
	doc-prefix= \
	doc-dir=%{_docdir}/%{name}/ \
	audio-prefix= \
	audio-dir=%{_datadir}/%{name}/audio/ \
	audio-target=%{_datadir}/%{name}/audio/

install -D -p -m755 pkg/rpm/sems.init $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/%{name}

# Remove installed README
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/default.template.sample
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/sems.conf.default

# remove currently empty conf-file
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/etc/conf_auth.conf

# fix permissions
chmod 644 $RPM_BUILD_ROOT%{_libdir}/%{name}/plug-in/log.py
chmod 644 $RPM_BUILD_ROOT%{_libdir}/%{name}/plug-in/log.pyc
chmod 644 $RPM_BUILD_ROOT%{_libdir}/%{name}/plug-in/py_sems_log.py
chmod 644 $RPM_BUILD_ROOT%{_libdir}/%{name}/plug-in/py_sems_log.pyc

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add sems || :
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/service sems stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del sems || :
fi

%files
%defattr(-,root,root)

%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/etc
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/audio
%dir %{_datadir}/%{name}/audio/ann_b2b
%dir %{_datadir}/%{name}/audio/announcement
%dir %{_datadir}/%{name}/audio/announce_transfer
%dir %{_datadir}/%{name}/audio/annrecorder
%dir %{_datadir}/%{name}/audio/conference
%dir %{_datadir}/%{name}/audio/voicebox
%dir %{_datadir}/%{name}/audio/voicemail
%dir %{_datadir}/%{name}/audio/webconference
%dir %{_libdir}/%{name}/dsm
%dir %{_libdir}/%{name}/plug-in

%{_sysconfdir}/init.d/%{name}

%config(noreplace) %{_sysconfdir}/%{name}/default.template
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/ann_b2b.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/announce_transfer.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/announcement.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/annrecorder.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/app_mapping.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/binrpcctrl.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/call_timer.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/callback.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/click2dial.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/conference.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/dsm.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/dsm_in_prompts.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/dsm_out_prompts.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/early_announce.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/msg_storage.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/precoded_announce.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/reg_agent.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/sipctrl.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/stats.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/sw_prepaid_sip.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/unixsockctrl.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/voicebox.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/voicemail.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/webconference.conf

%doc README
%doc apps/dsm/doc/Readme.dsm.txt
%doc apps/dsm/mods/mod_dlg/Readme.mod_dlg.txt
%doc apps/dsm/mods/mod_sys/Readme.mod_sys.txt
%doc apps/dsm/mods/mod_uri/Readme.mod_uri.txt
%doc apps/dsm/fsmc/Readme.fsmc.txt
%doc apps/examples/tutorial/cc_acc/Readme.cc_acc
%doc core/plug-in/adpcm/README_G711
%doc core/plug-in/stats/README.stats
%doc doc/figures
%doc doc/CHANGELOG
%doc doc/COPYING
%doc doc/Configure-Sems-OpenSER-HOWTO
%doc doc/Configure-Sems-Ser-HOWTO
%doc doc/Readme.ann_b2b
%doc doc/Readme.announce_transfer
%doc doc/Readme.announcement
%doc doc/Readme.annrecorder
%doc doc/Readme.auth_b2b
%doc doc/Readme.call_timer
%doc doc/Readme.callback
%doc doc/Readme.click2dial
%doc doc/Readme.conf_auth
%doc doc/Readme.conference
%doc doc/Readme.early_announce
%doc doc/Readme.echo
%if 0%{?with_ilbc}
%doc doc/Readme.iLBC
%endif
%if 0%{?with_mp3}
%doc doc/Readme.mp3plugin
%endif
%doc doc/Readme.msg_storage
%doc doc/Readme.reg_agent
%doc doc/Readme.registrar_client
%doc doc/Readme.sw_prepaid_sip
%doc doc/Readme.uac_auth
%doc doc/Readme.voicebox
%doc doc/Readme.voicemail
%doc doc/Readme.webconference
%doc doc/WHATSNEW_0.10

%{_sbindir}/%{name}
%{_sbindir}/%{name}-stats

%{_datadir}/%{name}/audio/beep.wav
%{_datadir}/%{name}/audio/default_en.wav
%{_datadir}/%{name}/audio/annrecorder/beep.wav
%{_datadir}/%{name}/audio/annrecorder/bye.wav
%{_datadir}/%{name}/audio/annrecorder/confirm.wav
%{_datadir}/%{name}/audio/annrecorder/greeting_set.wav
%{_datadir}/%{name}/audio/annrecorder/to_record.wav
%{_datadir}/%{name}/audio/annrecorder/welcome.wav
%{_datadir}/%{name}/audio/annrecorder/your_prompt.wav
%{_datadir}/%{name}/audio/conference/beep.wav
%{_datadir}/%{name}/audio/conference/first_participant.wav
%{_datadir}/%{name}/audio/voicebox/0.wav
%{_datadir}/%{name}/audio/voicebox/1.wav
%{_datadir}/%{name}/audio/voicebox/10.wav
%{_datadir}/%{name}/audio/voicebox/11.wav
%{_datadir}/%{name}/audio/voicebox/12.wav
%{_datadir}/%{name}/audio/voicebox/13.wav
%{_datadir}/%{name}/audio/voicebox/14.wav
%{_datadir}/%{name}/audio/voicebox/15.wav
%{_datadir}/%{name}/audio/voicebox/16.wav
%{_datadir}/%{name}/audio/voicebox/17.wav
%{_datadir}/%{name}/audio/voicebox/18.wav
%{_datadir}/%{name}/audio/voicebox/19.wav
%{_datadir}/%{name}/audio/voicebox/2.wav
%{_datadir}/%{name}/audio/voicebox/20.wav
%{_datadir}/%{name}/audio/voicebox/3.wav
%{_datadir}/%{name}/audio/voicebox/30.wav
%{_datadir}/%{name}/audio/voicebox/4.wav
%{_datadir}/%{name}/audio/voicebox/40.wav
%{_datadir}/%{name}/audio/voicebox/5.wav
%{_datadir}/%{name}/audio/voicebox/50.wav
%{_datadir}/%{name}/audio/voicebox/6.wav
%{_datadir}/%{name}/audio/voicebox/60.wav
%{_datadir}/%{name}/audio/voicebox/7.wav
%{_datadir}/%{name}/audio/voicebox/70.wav
%{_datadir}/%{name}/audio/voicebox/8.wav
%{_datadir}/%{name}/audio/voicebox/80.wav
%{_datadir}/%{name}/audio/voicebox/9.wav
%{_datadir}/%{name}/audio/voicebox/90.wav
%{_datadir}/%{name}/audio/voicebox/and.wav
%{_datadir}/%{name}/audio/voicebox/bye.wav
%{_datadir}/%{name}/audio/voicebox/first_new_msg.wav
%{_datadir}/%{name}/audio/voicebox/first_saved_msg.wav
%{_datadir}/%{name}/audio/voicebox/in_your_voicebox.wav
%{_datadir}/%{name}/audio/voicebox/msg_deleted.wav
%{_datadir}/%{name}/audio/voicebox/msg_end_menu.wav
%{_datadir}/%{name}/audio/voicebox/msg_menu.wav
%{_datadir}/%{name}/audio/voicebox/msg_saved.wav
%{_datadir}/%{name}/audio/voicebox/new_msg.wav
%{_datadir}/%{name}/audio/voicebox/new_msgs.wav
%{_datadir}/%{name}/audio/voicebox/next_new_msg.wav
%{_datadir}/%{name}/audio/voicebox/next_saved_msg.wav
%{_datadir}/%{name}/audio/voicebox/no_more_msg.wav
%{_datadir}/%{name}/audio/voicebox/no_msg.wav
%{_datadir}/%{name}/audio/voicebox/pin_prompt.wav
%{_datadir}/%{name}/audio/voicebox/saved_msg.wav
%{_datadir}/%{name}/audio/voicebox/saved_msgs.wav
%{_datadir}/%{name}/audio/voicebox/x1.wav
%{_datadir}/%{name}/audio/voicebox/x2.wav
%{_datadir}/%{name}/audio/voicebox/x3.wav
%{_datadir}/%{name}/audio/voicebox/x4.wav
%{_datadir}/%{name}/audio/voicebox/x5.wav
%{_datadir}/%{name}/audio/voicebox/x6.wav
%{_datadir}/%{name}/audio/voicebox/x7.wav
%{_datadir}/%{name}/audio/voicebox/x8.wav
%{_datadir}/%{name}/audio/voicebox/x9.wav
%{_datadir}/%{name}/audio/voicebox/you_have.wav
%{_datadir}/%{name}/audio/voicemail/default_en.wav
%{_datadir}/%{name}/audio/voicemail/beep.wav
%{_datadir}/%{name}/audio/webconference/0.wav
%{_datadir}/%{name}/audio/webconference/1.wav
%{_datadir}/%{name}/audio/webconference/2.wav
%{_datadir}/%{name}/audio/webconference/3.wav
%{_datadir}/%{name}/audio/webconference/4.wav
%{_datadir}/%{name}/audio/webconference/5.wav
%{_datadir}/%{name}/audio/webconference/6.wav
%{_datadir}/%{name}/audio/webconference/7.wav
%{_datadir}/%{name}/audio/webconference/8.wav
%{_datadir}/%{name}/audio/webconference/9.wav
%{_datadir}/%{name}/audio/webconference/beep.wav
%{_datadir}/%{name}/audio/webconference/entering_conference.wav
%{_datadir}/%{name}/audio/webconference/first_participant.wav
%{_datadir}/%{name}/audio/webconference/pin_prompt.wav
%{_datadir}/%{name}/audio/webconference/wrong_pin.wav

%{_libdir}/%{name}/dsm/mod_dlg.so
%{_libdir}/%{name}/dsm/mod_sys.so
%{_libdir}/%{name}/dsm/mod_uri.so
%{_libdir}/%{name}/dsm/inbound_call.dsm
%{_libdir}/%{name}/dsm/outbound_call.dsm

%{_libdir}/%{name}/plug-in/adpcm.so
%{_libdir}/%{name}/plug-in/ann_b2b.so
%{_libdir}/%{name}/plug-in/announce_transfer.so
%{_libdir}/%{name}/plug-in/announcement.so
%{_libdir}/%{name}/plug-in/annrecorder.so
%{_libdir}/%{name}/plug-in/auth_b2b.so
%{_libdir}/%{name}/plug-in/binrpcctrl.so
%{_libdir}/%{name}/plug-in/call_timer.so
%{_libdir}/%{name}/plug-in/callback.so
%{_libdir}/%{name}/plug-in/cc_acc.so
%{_libdir}/%{name}/plug-in/click2dial.so
%{_libdir}/%{name}/plug-in/conference.so
%{_libdir}/%{name}/plug-in/dsm.so
%{_libdir}/%{name}/plug-in/early_announce.so
%{_libdir}/%{name}/plug-in/echo.so
%if 0%{?with_ilbc}
%{_libdir}/%{name}/plug-in/ilbc.so
%endif
%{_libdir}/%{name}/plug-in/l16.so
%{_libdir}/%{name}/plug-in/msg_storage.so
%{_libdir}/%{name}/plug-in/precoded_announce.so
%{_libdir}/%{name}/plug-in/reg_agent.so
%{_libdir}/%{name}/plug-in/registrar_client.so
%{_libdir}/%{name}/plug-in/sipctrl.so
%{_libdir}/%{name}/plug-in/session_timer.so
%{_libdir}/%{name}/plug-in/stats.so
%{_libdir}/%{name}/plug-in/sw_prepaid_sip.so
%{_libdir}/%{name}/plug-in/uac_auth.so
%{_libdir}/%{name}/plug-in/unixsockctrl.so
%{_libdir}/%{name}/plug-in/voicebox.so
%{_libdir}/%{name}/plug-in/voicemail.so
%{_libdir}/%{name}/plug-in/wav.so
%{_libdir}/%{name}/plug-in/webconference.so

%files conf_auth
%defattr(-,root,root)
# currently empty
#%config(noreplace) %{_sysconfdir}/%{name}/etc/conf_auth.conf
%doc doc/Readme.conf_auth
%{_libdir}/%{name}/ivr/conf_auth.py
%{_libdir}/%{name}/ivr/conf_auth.pyc
%{_libdir}/%{name}/ivr/conf_auth.pyo

%files diameter_client
%defattr(-,root,root)
%doc doc/Readme.diameter_client
%{_libdir}/%{name}/plug-in/diameter_client.so

%files g722
%defattr(-,root,root)
%doc core/plug-in/g722/Readme.g722codec
%{_libdir}/%{name}/plug-in/g722.so

%files gateway
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/etc/gateway.conf
%{_libdir}/%{name}/plug-in/gateway.so

%files gsm
%defattr(-,root,root)
%{_libdir}/%{name}/plug-in/gsm.so

%files ivr
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/etc/ivr.conf
%doc doc/Readme.ivr
%dir %{_libdir}/%{name}/ivr
%{_libdir}/%{name}/plug-in/ivr.so
%{_libdir}/%{name}/plug-in/log.py
%{_libdir}/%{name}/plug-in/log.pyc
%{_libdir}/%{name}/plug-in/log.pyo

%files mailbox
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/etc/mailbox.conf
%config(noreplace) %{_sysconfdir}/%{name}/etc/mailbox_query.conf
%doc doc/Readme.mailbox
%dir %{_datadir}/%{name}/audio/mailbox
%dir %{_libdir}/%{name}/ivr/imap_mailbox
%{_datadir}/%{name}/audio/mailbox/and.wav
%{_datadir}/%{name}/audio/mailbox/beep.wav
%{_datadir}/%{name}/audio/mailbox/bye.wav
%{_datadir}/%{name}/audio/mailbox/default_en.wav
%{_datadir}/%{name}/audio/mailbox/first_msg.wav
%{_datadir}/%{name}/audio/mailbox/msg_deleted.wav
%{_datadir}/%{name}/audio/mailbox/msg_menu.wav
%{_datadir}/%{name}/audio/mailbox/msg_saved.wav
%{_datadir}/%{name}/audio/mailbox/new_msg.wav
%{_datadir}/%{name}/audio/mailbox/next_msg.wav
%{_datadir}/%{name}/audio/mailbox/no_msg.wav
%{_datadir}/%{name}/audio/mailbox/saved_msg.wav
%{_datadir}/%{name}/audio/mailbox/you_have.wav
%{_libdir}/%{name}/ivr/mailbox.py
%{_libdir}/%{name}/ivr/mailbox.pyc
%{_libdir}/%{name}/ivr/mailbox.pyo
%{_libdir}/%{name}/ivr/mailbox_query.py
%{_libdir}/%{name}/ivr/mailbox_query.pyc
%{_libdir}/%{name}/ivr/mailbox_query.pyo
%{_libdir}/%{name}/ivr/imap_mailbox/MailboxURL.py
%{_libdir}/%{name}/ivr/imap_mailbox/MailboxURL.pyc
%{_libdir}/%{name}/ivr/imap_mailbox/MailboxURL.pyo
%{_libdir}/%{name}/ivr/imap_mailbox/__init__.py
%{_libdir}/%{name}/ivr/imap_mailbox/__init__.pyc
%{_libdir}/%{name}/ivr/imap_mailbox/__init__.pyo
%{_libdir}/%{name}/ivr/imap_mailbox/imap4ext.py
%{_libdir}/%{name}/ivr/imap_mailbox/imap4ext.pyc
%{_libdir}/%{name}/ivr/imap_mailbox/imap4ext.pyo

%files pin_collect
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/etc/pin_collect.conf
%doc doc/Readme.pin_collect
%dir %{_datadir}/%{name}/audio/pincollect
%{_datadir}/%{name}/audio/pincollect/enter_pin.wav
%{_datadir}/%{name}/audio/pincollect/welcome.wav
%{_libdir}/%{name}/ivr/pin_collect.py
%{_libdir}/%{name}/ivr/pin_collect.pyc
%{_libdir}/%{name}/ivr/pin_collect.pyo

%files python
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/etc/py_sems.conf
%doc doc/Readme.py_sems
%{_libdir}/%{name}/plug-in/py_sems.so
%{_libdir}/%{name}/plug-in/py_sems_log.py
%{_libdir}/%{name}/plug-in/py_sems_log.pyc
%{_libdir}/%{name}/plug-in/py_sems_log.pyo

%files speex
%defattr(-,root,root)
%{_libdir}/%{name}/plug-in/speex.so

%files xmlrpc2di
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/etc/xmlrpc2di.conf
%doc doc/Readme.xmlrpc2di
%{_libdir}/%{name}/plug-in/xmlrpc2di.so

%changelog
* Sat Jul 11 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.1-1
- Ver. 1.1.1

* Thu Apr 30 2009 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.1.0-7
- rebuilt

* Sun Apr 19 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-6
- Fix building with GCC 4.4

* Fri Apr 10 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-5
- Use modified tarball (with ilBC sources completely removed)

* Thu Apr  9 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-4
- Internally shipped xmlrpc++ now uses system optflags
- Added more docs
- Moved audiofiles from libdir to datadir
- Removed empty conf_auth.conf
- Splitted out g722 module
- Splitted out xmlrpc2di module

* Wed Apr  8 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-3
- Fixed installation of python files

* Tue Apr  7 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-2
- Module dsm is back
- Disabled OpenSER-specific features (OpenSER is able to manage SEMS
  via SIP-headers).

* Tue Feb 17 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-1
- Ver. 1.1.0
- Disabled module dsm

* Mon Dec  8 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.9.svn1160
- New svn snapshot

* Wed Dec  3 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.8.svn1095
- Another one fix for audio installation

* Fri Oct 17 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.7.svn1095
- Fixed installation of audio files

* Sun Sep 28 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.6.svn1095
- New svn rev. 1095
- Some rpmlint-related fixes

* Thu Aug 21 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.5.svn
- Dropped upstreamed sems--initscript_fix.diff
- Installation of some audiofiles was fixed upstream

* Tue Aug 19 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.4.svn
- Splitted ivr module
- Fixed some rpmlint errors

* Thu Aug 14 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.3.svn
- Conditional switch "with_ilbc"

* Thu Aug 14 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.2.svn
- Splitted some modules

* Wed Aug 13 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.1.svn
- Preliminary ver. 1.0.0 (from svn)

* Sun Jun 29 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-rc1
- GCC4.3 patches upstreamed
- Ver. 1.0.0-rc1

* Wed Mar 26 2008 Peter Lemenkov <lemenkov@gmail.com> 0.10.0
- Initial package for Fedora

* Wed Dec 13 2006 Peter Nixon <peter+rpmspam@suntel.com.tr>
- First version of the spec file for SUSE.

